
%global meadversion 1.0.2
%global namedversion 1.0.2.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}undertow-js}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.2.Final-redhat-1

Name:           %{?scl_prefix}undertow-js
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Undertow Javascript API
Group:          Development/Java

%if %with mead
Source100: undertow-js-1.0.2.Final-redhat-1-scm-sources.zip
Source102: undertow-js-1.0.2.Final-redhat-1-javadoc.jar
Source103: undertow-js-1.0.2.Final-redhat-1.jar
Source104: undertow-js-1.0.2.Final-redhat-1.pom
Source105: undertow-js-1.0.2.Final-redhat-1-project-sources.tar.gz
Source106: undertow-js-1.0.2.Final-redhat-1-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/undertow-io/undertow-js
BuildArch:      noarch
BuildRoot:      %{_tmppath}/undertow-js-%{namedversion}-%{release}-root

%description
Undertow.js is an integration library that provides and easy way to integrate server side JavaScript code with Java EE components.

%if %with javadoc
%package javadoc
Summary:        Javadoc for undertow-js
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n undertow-js -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/undertow-js-%{namedversion}.jar %{buildroot}%{_javadir}/undertow-js-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/undertow-js-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/undertow-js-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/undertow-js-%{namedversion}-sources.jar %{buildroot}%{_javadir}/undertow-js-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/undertow-js-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/undertow-js-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/undertow-js-%{namedversion} -x META-INF/\*
%{__ln_s} undertow-js-%{namedversion} %{buildroot}%{_javadocdir}/undertow-js
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}undertow-js
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/undertow-js-%{namedversion}.jar
%{_javadir}/undertow-js.jar
%if %with javadoc
%{_javadir}/undertow-js-%{namedversion}-javadoc.jar
%{_javadir}/undertow-js-javadoc.jar
%endif
%{_javadir}/undertow-js-%{namedversion}-sources.jar
%{_javadir}/undertow-js-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/undertow-js-%{namedversion}
%{_javadocdir}/undertow-js
%endif

%changelog
* Tue Jun 26 2018 Yong Yang <yyang@redhat.com> - 1.0.2-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Tue Mar 08 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.2-1.Final_redhat_1.1
- Upgrade to 1.0.2.Final

* Thu Nov 05 2015 Neil Wallace <nwallace@redhat.com> - 1.0.1-1.Final_redhat_1.1
- Upgrade to 1.0.1.Final

* Wed Nov 04 2015 Neil Wallace <nwallace@redhat.com> - 1.0.0-3.Final_redhat_1.1
- Upgrade to 1.0.0.Final

* Mon Aug 24 2015 Hui Wang <huwang@redhat.com> - 1.0.0-2.Alpha3_redhat_1.1
- Upgrade to 1.0.0.Alpha3-redhat-1

* Wed Aug 19 2015 Hui Wang <huwang@redhat.com> - 1.0.0-1.Alpha2_redhat_1.1
- Initial build

